package
{
	import flash.display.Graphics;
	import flash.display.Shape;
	import flash.display.Sprite;
	import flash.events.MouseEvent;
	
	import caurina.transitions.Tweener;
	import caurina.transitions.properties.FilterShortcuts;
	
	public class Main extends flash.display.Sprite
	{
		private var shape:Shape;
		public function Main():void
		{
			init();
			drawShape();
			
		}
		private function init():void {
			FilterShortcuts.init();
		}
		private function drawShape():void {
			shape = new Shape();
			var g:Graphics = shape.graphics;
			g.beginFill(0x000000);
			g.drawCircle(0,0,20);
			g.endFill();
			addChild(shape);
			shape.x = 100;
			shape.y = 100;
			stage.addEventListener(MouseEvent.CLICK, clickHandler);
		}
		private function clickHandler(event:MouseEvent):void {
			stage.removeEventListener(MouseEvent.CLICK, clickHandler);
			forward();
		}
		private function forward():void {
			Tweener.addTween(shape, {
				_Glow_blurX:40,
				_Glow_blurY:40,
				_Glow_color:0x000000,
				_Glow_alpha:1,
				time:1,
				transition:"easeOutExpo",
				onComplete:back
				});
		}
		private function back():void {
			Tweener.addTween(shape, {
				_Glow_blurX:5,
				_Glow_blurY:5,
				_Glow_color:0x000000,
				_Glow_alpha:1,
				time:1,
				transition:"easeOutExpo",
				onComplete:forward
				});
		}
		
	}
	
}