package
{
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.BlendMode;
	import flash.display.Loader;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.filters.ConvolutionFilter;
	import flash.geom.Matrix;
	import flash.geom.Point;
	import flash.net.URLRequest;
	
	public class Main extends flash.display.Sprite
	{
		private var loader:Loader;
		private var srcBmd:BitmapData;
		private var dstBmd:BitmapData;
		private var bitmap:Bitmap;
		private var point:Point;
		private var matrix:Matrix;
		private var filter:ConvolutionFilter;
		public function Main():void
		{
			init();
			loadImage();
			stage.addEventListener(MouseEvent.CLICK, clickHandler);
			
		}
		private function init():void {
			bitmap = new Bitmap(dstBmd);
			point = new Point();
			filter = new ConvolutionFilter(3, 3, [0,1,0,1,1,1,0,1,0],5,0,true);
			matrix = new Matrix();
		}
		private function loadImage():void {
			loader = new Loader();
			loader.contentLoaderInfo.addEventListener(Event.COMPLETE, completeHandler);
			var request:URLRequest = new URLRequest("connect2.png");
			loader.load(request);
		}
		private function completeHandler(event:Event):void {
			srcBmd = Bitmap(loader.content).bitmapData;
			dstBmd = new BitmapData(srcBmd.width, srcBmd.height);
			dstBmd.draw(srcBmd);
			addEventListener(Event.ENTER_FRAME, enterFrameHandler);
			var bitmap:Bitmap = new Bitmap(dstBmd);
			bitmap.smoothing = true;
			addChild(bitmap);
		}
		private function clickHandler(event:Event):void {
			stage.removeEventListener(MouseEvent.CLICK, clickHandler);
			stage.addEventListener(Event.ENTER_FRAME, enterFrameHandler);
		}
		private function enterFrameHandler(event:Event):void {
			srcBmd.applyFilter(srcBmd, srcBmd.rect, point, filter);
			dstBmd.draw(srcBmd,matrix,null,BlendMode.HARDLIGHT);
		}
	}
}