package
{
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.Loader;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.filters.BlurFilter;
	import flash.geom.Point;
	import flash.net.URLRequest;
	
	public class Main extends flash.display.Sprite
	{
		private var loader:Loader;
		private var srcBmd:BitmapData;
		private var dstBmd:BitmapData;
		private var point:Point;
		private var blur:Number;
		private var blurFilter:BlurFilter;
		private var blurFilter2:BlurFilter;
		private var rate:Number
		public function Main():void
		{
			init();
			loadImage();
		}
		private function init():void {
			//
			//blur
			blur = 60;
			rate = 0.97;
			point = new Point(0, 0);
			blurFilter = new BlurFilter(blur, blur , 2);
			blurFilter2 = new BlurFilter(1, 1, 2);
		}
		private function loadImage():void {
			loader = new Loader();
			loader.contentLoaderInfo.addEventListener(Event.COMPLETE, completeHandler);
			var request:URLRequest = new URLRequest("connect2.png");
			loader.load(request);
		}
		private function completeHandler(event:Event):void {
			srcBmd = Bitmap(loader.content).bitmapData;
			dstBmd = new BitmapData(srcBmd.width, srcBmd.height);
			addEventListener(Event.ENTER_FRAME, enterFrameHandler);
			var bitmap:Bitmap = new Bitmap(dstBmd);
			bitmap.smoothing = true;
			addChild(bitmap);
		}
		private function enterFrameHandler(event:Event):void {
			dstBmd.applyFilter(srcBmd, srcBmd.rect, point, blurFilter);
			dstBmd.threshold(dstBmd, dstBmd.rect, point, ">", 0x00200000, 0xFFFFFFFF, 0x00FF0000, false);
			dstBmd.applyFilter(dstBmd, dstBmd.rect, point, blurFilter2);
			blur *= rate;
			blurFilter.blurX = blur;
			blurFilter.blurY = blur;
			if (blur <= 0.01) {
				removeEventListener(Event.ENTER_FRAME, enterFrameHandler);
				dstBmd = srcBmd;
			}
		}
	}
}